import * as bcrypt from 'bcrypt';
import { Controller, Get, Post, Body, BadRequestException } from '@nestjs/common';
import { UserService } from './user.service';
import { User } from './user.model';

@Controller()
export class UserController {

  constructor(private userService: UserService) {}

  @Get('users')
  async get() {
    return this.userService.get();
  }

  @Post('users')
  async create(@Body() user: User) {
    user.password = bcrypt.hashSync(user.password, 10);
    return this.userService.create(user)
      .catch(err => {
        throw new BadRequestException();
      });
  }
}
